Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Communications Framework (ECF) » A problem with install ECF 3.5.2(A problem with install ECF 3.5.2 over Eclipse 3.7 Indigo ubuntu 10.04)
A problem with install ECF 3.5.2 [message #722064] Sun, 04 September 2011 07:51 Go to next message
Rost Mayer is currently offline Rost MayerFriend
Messages: 2
Registered: December 2010
Junior Member
Hello, All!

I try to install ECF-plugin 3.5.2 over Eclipse Indigo (Ubuntu 10.04, Eclipse SDK, Version: 3.7.0, Build id: I20110613-1736). But I have an error message (see screenshot). I think, problems with jabber-protocol.
I try install software from zip-file. Again the same error.

Help me, please.

index.php/fa/3864/0/
  • Attachment: error.png
    (Size: 51.37KB, Downloaded 517 times)
Re: A problem with install ECF 3.5.2 [message #727712 is a reply to message #722064] Wed, 21 September 2011 21:09 Go to previous messageGo to next message
Stefano Ghio is currently offline Stefano GhioFriend
Messages: 12
Registered: September 2011
Junior Member
Greetings,

I know the thread is old but I see it still has no answer...

I have the exact same problem on Windows XP SP3 on both Eclipse Helios and Indigo. Following the guide EIG:Add_to_Target_Platform which means deselecting "include required software" gives the error, but installing from Help->Install new software does not. However I'm not sure if it's ok to install it that way.

Has anyone found a solution yet?

Cheers
Re: A problem with install ECF 3.5.2 [message #729450 is a reply to message #727712] Mon, 26 September 2011 08:20 Go to previous messageGo to next message
Markus Kuppe is currently offline Markus KuppeFriend
Messages: 177
Registered: July 2009
Senior Member
On 09/21/2011 11:09 PM, Stefano Ghio wrote:
> Greetings,
>
> I know the thread is old but I see it still has no answer...
>
> I have the exact same problem on Windows XP SP3 on both Eclipse Helios
> and Indigo. Following the guide EIG:Add_to_Target_Platform which means
> deselecting "include required software" gives the error, but installing
> from Help->Install new software does not. However I'm not sure if it's
> ok to install it that way.

Hi Stefano,

what does your runtime target platfrom look like after installing via
Help -> Install new software?

Thanks
Markus
Re: A problem with install ECF 3.5.2 [message #729904 is a reply to message #729450] Tue, 27 September 2011 09:03 Go to previous message
Stefano Ghio is currently offline Stefano GhioFriend
Messages: 12
Registered: September 2011
Junior Member
Hi,

I don't think I understand what you mean by
Quote:
what does your runtime target platform look like after installing via
Help -> Install new software?


I have to say, ECF apparently works as I ran multiple examples and none failed, but I had to install it not as the guide said, so I was wondering if that may lead to future issues.

Looking at Installation details->Installed software I see (among others):

ECF Remote Services Target Components	3.5.2.v20110829-0349	org.eclipse.ecf.remoteservice.sdk.feature.feature.group
    ECF Datashare	1.0.0.v20110829-0349	org.eclipse.ecf.datashare.feature.feature.group
    ECF Discovery	1.0.0.v20110829-0349	org.eclipse.ecf.discovery.feature.feature.group
    ECF Discovery DNS-SD Provider	1.0.0.v20110829-0349	org.eclipse.ecf.discovery.dnssd.feature.feature.group
    ECF Discovery SLP (RFC 2608) Provider	1.0.0.v20110829-0349	org.eclipse.ecf.discovery.slp.feature.feature.group
    ECF Discovery Zeroconf Provider	1.0.0.v20110829-0349	org.eclipse.ecf.discovery.jmdns.feature.feature.group
    ECF Discovery Zookeeper Provider	1.0.0.v20110829-0349	org.eclipse.ecf.discovery.zookeeper.feature.feature.group
    ECF Distributed EventAdmin	2.0.0.v20110829-0349	org.eclipse.ecf.eventadmin.feature.feature.group
    ECF Distributed EventAdmin Examples	1.0.0.v20110829-0349	org.eclipse.ecf.eventadmin.examples.feature.feature.group
    ECF Generic Server	1.0.0.v20110829-0349	org.eclipse.ecf.server.generic.feature.feature.group
    ECF OSGi 4.2 Remote Services Admin	2.0.1.v20110829-0349	org.eclipse.ecf.osgi.services.feature.feature.group
    ECF OSGi 4.2 Remote Services Examples	1.1.0.v20110829-0349	org.eclipse.ecf.remoteservice.examples.feature.feature.group
    ECF Remote Services	1.0.0.v20110829-0349	org.eclipse.ecf.remoteservice.feature.feature.group
    ECF Remote Services R-OSGi Provider	1.0.0.v20110829-0349	org.eclipse.ecf.remoteservice.rosgi.feature.feature.group
    ECF Remote Services REST Support	1.0.0.v20110829-0349	org.eclipse.ecf.remoteservice.rest.feature.feature.group
    ECF Remote Services SOAP Support	1.0.0.v20110829-0349	org.eclipse.ecf.remoteservice.soap.feature.feature.group
    ECF XMPP Provider	1.0.0.v20110829-0349	org.eclipse.ecf.xmpp.feature.feature.group
Previous Topic:OSGi Remote DS product configuration works only inside Eclipse [SOLVED]
Next Topic:Configure Zookeeper zoodiscovery centralized and replicated mode
Goto Forum:
  


Current Time: Sun Dec 21 12:59:59 GMT 2014

Powered by FUDForum. Page generated in 0.01722 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software